Update Site Idps Config

Update Site Idps Config
Update site IDPS configuration

Update IDPS signature configuration for a specific site. The configuration must already exist. Use POST to create a new configuration. The _revision field is required in the request payload. Obtain the current _revision by issuing a GET request first. If the provided _revision does not match the current revision, the request will be rejected with a 409 Conflict error.

Request
URI
PUT
https://{api_host}/ssp/security-content/feature-config/idps/{site-id}
COPY
Path Parameters
string
site-id
Required  

Unique identifier for the site


Request Body
SiteIdpsConfig of type(s) application/json
Required  
This request body class requires all of the following: ManagedResource , InlineSiteIdpsConfig1
{
    "site_id": "2dc4556b-3f18-481f-9826-61119ea9a7fc",
    "assigned_version": "2.0",
    "auto_update": false,
    "_revision": 1
}
Authentication
This operation uses the following authentication methods.
Responses
200

Site IDPS configuration updated successfully.

Returns SiteIdpsConfig of type(s) application/json
This response body class contains all of the following: ManagedResource , InlineSiteIdpsConfig1
{
    "id": "2dc4556b-3f18-481f-9826-61119ea9a7fc",
    "site_id": "2dc4556b-3f18-481f-9826-61119ea9a7fc",
    "assigned_version": "2.0",
    "auto_update": false,
    "_create_time": 1751433673000,
    "_create_user": "admin",
    "_last_modified_user": "admin",
    "_last_modified_time": 1751433900000,
    "_revision": 2
}

400

Bad request - validation failed or missing _revision

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


404

Site IDPS configuration not found

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


409

Conflict - _revision mismatch

Returns Error of type(s) application/json
"Error Object"
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
"Error Object"
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    ["platform-all-airgap"]
                
Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/ssp/security-content/feature-config/idps/{site-id}